Name:		Copy
Version:	1.28.0657
Release:	4%{?dist}
Summary:	Copy provides pre-compiled binaries from copy.com

Group:		Applications/Internet
License:	GPL
URL:		http://copy.com
Source0:	https://copy.com/install/linux/copy_agent-%{version}.tgz
Source1:	Copy.desktop
Source2:	Copy.png

#BuildRequires:	
Requires:	qt qt-x11 libstdc++ glibc
%ifarch x86_64
Requires:	libpng
%endif

Provides:	libcaja-extension.so.1()(64bit)
Provides:	libcaja-extension.so.1

%description
Copy is the easiest way to store, protect and share amazing things. It keeps your computers in sync and your files available from anywhere, even on your mobile devices. With Copy, you can also easily share files with anyone publicly or privately. Copy for companies extends the cloud storage and sharing benefits into corporate environments with user and group management and added control of proprietary company data.

%prep
%setup -q -n copy


%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_libdir}/imageformats
mkdir -p %{buildroot}%{_bindir}

%ifarch i686
cp x86/lib*.so* %{buildroot}%{_libdir}
cp x86/imageformats/libqjpeg.so %{buildroot}%{_libdir}/imageformats
cp x86/copyext.rcc %{buildroot}%{_libdir}
cp x86/Copy* %{buildroot}%{_bindir}
%endif
%ifarch x86_64
cp x86_64/lib*.so* %{buildroot}%{_libdir}
cp x86_64/imageformats/libqjpeg.so %{buildroot}%{_libdir}/imageformats
cp x86_64/copyext.rcc %{buildroot}%{_libdir}
cp x86_64/Copy* %{buildroot}%{_bindir}
%endif

install -D -m0755 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/Copy.png
desktop-file-install \
	--add-category='Network;FileTransfer' \
	--dir=%{buildroot}%{_datadir}/applications \
	%{SOURCE1}

%post
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :

%files
%doc README
%{_bindir}/%{name}Agent
%{_bindir}/%{name}Console
%{_bindir}/%{name}Cmd
%{_libdir}/*
%{_libdir}/imageformats/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/Copy.png
# Use system libs (Requires)
%exclude %{_libdir}/libQt*.so*
%exclude %{_libdir}/libstdc++.so*
%exclude %{_libdir}/libm.so*
%ifarch x86_64
%exclude %{_libdir}/libpng12.so.0
%endif


%changelog
* Sun Apr 07 2013 Andrew Wyatt <andrew@fuduntu.org> - 1.28.0657-4
- Add Copy icon

* Fri Apr 05 2013 Johnny Brinsko <tripgod@fuduntu.org> - 1.28.0657-3
- Adjust Requires, Provides, and exclude files for x86_64

* Fri Apr 05 2013 Johnny Brinsko <tripgod@fuduntu.org> - 1.28.0657-2
- Create .desktop

* Fri Apr 05 2013 Johnny Brinsko <tripgod@fuduntu.org> - 1.28.0657-1
- Built for Fuduntu
